from django.conf.urls.static import static
from django.urls import path, include

from thoughts import views
from whispermaphone import settings

urlpatterns = [
    path("", views.index, name="index"),
    path("about", views.about, name="about"),
    path("login", views.login, name="login"),
    path("post", views.post, name="post"),
    path("search", views.search, name="thoughts_search")
] + (static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT) if settings.DEBUG else [])
